| Home | Libraries | People | FAQ | More

##### ssl_stream::async_shutdown

Asynchronously shut down SSL on the stream.

###### Synopsis

    template<
        class ShutdownHandler>
    DEDUCED
    async_shutdown(
        BOOST_ASIO_MOVE_ARG(ShutdownHandler) handler);

###### Description

This function is used to asynchronously shut down SSL on the stream. This function call always returns immediately.

###### Parameters

Name | Description
--- | ---

`handler`

The handler to be called when the handshake operation completes. Copies will be made of the handler as required. The equivalent function signature of the handler must be:

     void handler(
      const boost::system::error_code& error // Result of operation.
    );